# Method: googleLocations.search

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/googleLocations/search#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/googleLocations/search#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/googleLocations/search#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/googleLocations/search#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/googleLocations/search#body.SearchGoogleLocationsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/googleLocations/search#body.aspect)

Search all of the possible locations that are a match to the specified request.

### HTTP request

`POST https://mybusiness.googleapis.com/v4/googleLocations:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "resultCount": integer, // Union field `search_query` can be only one of the following: "location": { object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`) }, "query": string // End of list of possible types for union field `search_query`. } ``` |

| Fields ||
|---|---|---|
| `resultCount` | `integer` The number of matches to return. The default value is 3, with a maximum of 10. Note that latency may increase if more are requested. There is no pagination. |
| Union field `search_query`. Search query. This can be provided either as a location object or as a string query. `search_query` can be only one of the following: |||
| `location` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts.locations#Location`)`` Location to search for. If provided, will find locations which match the provided location details. |
| `query` | `string` Text query to search for. The search results from a query string will be less accurate than if providing an exact location, but can provide more inexact matches. |

### Response body

If successful, the response body contains data with the following structure:
Response message for GoogleLocations.SearchGoogleLocations.

| JSON representation ||
|---|---|
| ``` { "googleLocations": [ { object (`https://developers.google.com/my-business/reference/rest/v4/googleLocations#GoogleLocation`) } ] } ``` |

| Fields ||
|---|---|
| `googleLocations[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/googleLocations#GoogleLocation`)`` A collection of GoogleLocations that are potential matches to the specified request, listed in order from most to least accuracy. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).